libdevice User's Guide (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 3.128. __nv_float2ll_rz

Prototype:

    i64 @__nv_float2ll_rz(float %f)

Description:

Convert the single-precision floating point value `x` to a signed 64-bit integer in round-towards-zero mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes